
define servicedependency {
	hostgroup_name			Windows Prod
	dependent_service_description	nrpe_win_.*, !nrpe_win_agent_status
	use				NRPE_Win_Dependency
}

define servicedependency {
	hostgroup_name			Physical Prod Windows
	dependent_service_description	snmp_win_.*, !snmp_win_alive
	use				SNMP_Win_Dependency
}

define servicedependency {
	hostgroup_name			Windows Dev/QA
	dependent_service_description	nrpe_wintest_.*, !nrpe_wintest_agent_status
	use				NRPE_Win_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Windows Dev/QA
	dependent_service_description	snmp_wintest_.*, !snmp_wintest_alive
	use				SNMP_Win_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Linux Prod, Solaris
	dependent_service_description	nrpe_unix_.*, !nrpe_unix_agent_status
	use				NRPE_Unix_Dependency
}

define servicedependency {
	hostgroup_name			Physical Prod Linux
	dependent_service_description	snmp_unix_.*, !snmp_unix_alive
	use				SNMP_Unix_Dependency
}

define servicedependency {
	hostgroup_name			Linux Dev/QA
	dependent_service_description	nrpe_unixtest_.*, !nrpe_unixtest_agent_status
	use				NRPE_Unix_NonProd_Dependency
}

define servicedependency {
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Linux DevQA - no SNMP
	dependent_service_description	snmp_unixtest_.*, !snmp_unixtest_alive
	use				SNMP_Unix_NonProd_Dependency
}
